# Interface SimpleLineSymbolJson

Simple line symbols can be used to symbolize polyline geometries or outlines for polygon fills.

See https://developers.arcgis.com/web-map-specification/objects/esriSLS_symbol/.

interface SimpleLineSymbolJson {
color?: ColorJson;
style?:
| "esriSLSDash"
| "esriSLSDashDot"
| "esriSLSDashDotDot"
| "esriSLSDot"
| "esriSLSNull"
| "esriSLSSolid";
type: "esriSLS";
width?: number;
}

#### Hierarchy (view full)

- SymbolJsonBase
  - SimpleLineSymbolJson

#####
Index

### Properties

color?
style?
type
width?

##
Properties

### `Optional` color

color?: ColorJson

Color is represented as a four-element array. The four elements represent values for red, green, blue, and alpha in that order. Values range from 0 through 255. If color is undefined for a symbol, the color value is null.

### `Optional` style

style?:
| "esriSLSDash"
| "esriSLSDashDot"
| "esriSLSDashDotDot"
| "esriSLSDot"
| "esriSLSNull"
| "esriSLSSolid"

The line style.

### type

type

The type of symbol. See SymbolJsonType.

Overrides SymbolJsonBase.type

### `Optional` width

width?: number

Numeric value indicating the width of the line in pixels.